/*
 * Created on 09/05/2004
 *
 */
package it.businesslogic.ireport.chart;

import dori.jasper.engine.JRField;

/**
 * @author Egon
 */
public class JRDefaultField implements JRField {

	private String name;
	private Class valueClass;
	private String description;

	/**
	 * 
	 */
	public JRDefaultField(String name, Class valueClass) {
		this();
		
		this.name = name;
		this.valueClass = valueClass;
	}

	/**
	 * 
	 */
	private JRDefaultField() {
		super();
	}

	/* (non-Javadoc)
	 * @see dori.jasper.engine.JRField#getName()
	 */
	public String getName() {
		return name;
	}

	/* (non-Javadoc)
	 * @see dori.jasper.engine.JRField#getDescription()
	 */
	public String getDescription() {
		return description;
	}

	/* (non-Javadoc)
	 * @see dori.jasper.engine.JRField#setDescription(java.lang.String)
	 */
	public void setDescription(String arg0) {
		description = arg0;
	}

	/* (non-Javadoc)
	 * @see dori.jasper.engine.JRField#getValueClass()
	 */
	public Class getValueClass() {
		return valueClass;
	}

	/* (non-Javadoc)
	 * @see dori.jasper.engine.JRField#getValueClassName()
	 */
	public String getValueClassName() {
		return valueClass.getName();
	}

}
